<?php
/**
 * sample code for GiroCheckout integration of a direct debit transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 44 $ / $Date: 2014-07-03 10:26:02 +0200 (Do, 03 Jul 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = "0000000000";


/* perform direct debit transaction */
try {
	$request = new GiroCheckout_SDK_Request('directDebitTransaction');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('merchantTxId', 1234567890)
	        ->addParam('amount',100)
	        ->addParam('currency','EUR')
	        ->addParam('purpose','Lastschrift Transaktion')
	        ->addParam('iban','DE23690516200012345600')
	        ->addParam('mandateReference', '12345abcde')
	        ->addParam('mandateSignedOn', '2014-02-01')
	        ->addParam('mandateReceiverName', 'Max Mustermann Shops')
	        ->addParam('mandateSequence', 1)
	    //the hash field is auto generated by the SDK
	        ->submit();
	

	/* if payment succeeded update your local system */
	if($request->paymentSuccessful())
	{
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseParam('reference');
	    $request->getResponseParam('backendTxId');
	    $request->getResponseParam('mandateReference');
	    $request->getResponseParam('resultPayment');
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	    $request->getResponseMessage($request->getResponseParam('resultPayment'),'DE');
	}
}
catch (Exception $e) { }