<?php
/**
 * sample code for GiroCheckout integration of a giropay-ID check
 *
 * @filesource
 * @package Samples
 * @version $Revision: 44 $ / $Date: 2014-07-03 10:26:02 +0200 (Do, 03 Jul 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = "0000000000";


/* init giropay transaction an parameters */
try {
	$request = new GiroCheckout_SDK_Request('giropayIDCheck');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('merchantTxId',1234567890)
	        ->addParam('bic','TESTDETT421')
	        ->addParam('urlRedirect','https://www.my-domain.de/girocheckout/redirect.php')
	        ->addParam('urlNotify','https://www.my-domain.de/girocheckout/redirect.php')
	    //the hash field is auto generated by the SDK
	        ->submit();
	
	
	/* if transaction succeeded update your local system an redirect the customer */
	if($request->requestHasSucceeded())
	{
	   $request->getResponseParam('reference');
	   $request->getResponseParam('redirect');
	
	   $request->redirectCustomerToPaymentProvider();
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	   $request->getResponseParam('rc');
	   $request->getResponseParam('msg');
	   $request->getResponseMessage($request->getResponseParam('rc'),'DE');
}
}
catch (Exception $e) { }