<?php
/**
 * sample code for GiroCheckout integration of an iDEAL issuer list request
 *
 * @filesource
 * @package Samples
 * @version $Revision: 44 $ / $Date: 2014-07-03 10:26:02 +0200 (Do, 03 Jul 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = "0000000000";


/* init iDEAL issuer list request */
try {
	$request = new GiroCheckout_SDK_Request('idealIssuerList');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	    ->addParam('projectId',$projectID)
	    //the hash field is auto generated by the SDK
	    ->submit();
	
	
	/* if request succeeded get the issuer list */
	if($request->requestHasSucceeded())
	{
	   $request->getResponseParam('issuer');   //now you can parse the array
	}
	
	/* if the request did not succeed, get the responsecode and notify the customer */
	else {
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    ResponseCode_helper::getMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { }